 include/linux/spinlock.h |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN include/linux/spinlock.h~kgdb-spinlock-fix include/linux/spinlock.h
--- 25/include/linux/spinlock.h~kgdb-spinlock-fix	2003-08-20 17:29:14.000000000 -0700
+++ 25-akpm/include/linux/spinlock.h	2003-08-20 17:29:49.000000000 -0700
@@ -17,9 +17,9 @@
 #include <asm/system.h>
 #ifdef CONFIG_KGDB
 #include <asm/current.h>
-#define SET_WHO(him) (x)->who = him;
+#define SET_WHO(x, him) (x)->who = him;
 #else
-#define SET_WHO(him)
+#define SET_WHO(x, him)
 #endif
 
 /*
@@ -75,7 +75,7 @@ typedef struct {
 		(x)->module = __FILE__; \
 		(x)->owner = NULL; \
 		(x)->oline = 0; \
-                SET_WHO(NULL) \
+                SET_WHO(x, NULL) \
 	} while (0)
 
 #define CHECK_LOCK(x) \
@@ -98,7 +98,7 @@ typedef struct {
 		(x)->lock = 1; \
 		(x)->owner = __FILE__; \
 		(x)->oline = __LINE__; \
-                SET_WHO(current)       \
+                SET_WHO(x, current)       \
 	} while (0)
 
 /* without debugging, spin_is_locked on UP always says
@@ -129,7 +129,7 @@ typedef struct {
 		(x)->lock = 1; \
 		(x)->owner = __FILE__; \
 		(x)->oline = __LINE__; \
-                SET_WHO(current)       \
+                SET_WHO(x, current)       \
 		1; \
 	})
 

_
